Incompatibility Issue with Certain Evolis Premium Suite and Firmware Versions

Evolis has found an incompatibility issue with some versions of Evolis Premium Suite and some printer firmware versions.

EvolisMaydaySymptoms:

The printer is detected as “offline” in the supervision mode in the Evolis Print Center. Communication with the printer and printing are not possible.

Printers affected:

  • Evolis Zenius
  • Evolis Primacy
  • Evolis Elypso
  • Evolis KC200 et Evolis KC200B

Evolis Premium Suite versions affected:

  • 6.18.0.688          (Published 10-July-2015)
  • 6.18.3.733          (Published 27-Aug-2015)
  • 6.18.4.750          (Published 25-Sept-2015)
  • 6.20.0.758          (Published 14-Oct-2015)
  • 6.21.0.800          (Published 19-Nov-2015)

 Printer firmware versions affected:

  • 1607 (or above)

Beginning with Evolis Premium Suite version “6.22.0.838” (published 13-Jan-2016), Evolis has solved this incompatibility error.

Evolis recommends updating Evolis Premium Suite in case the printer is detected as “Offline” in the Evolis Print Center, or in any instance of a client running one of the driver or firmware versions identified above.

Clients should use the “Update Verification Wizard”, available from Evolis Print Center | Tools | Update Verification Wizard, to install the latest version of Evolis Premium Suite, and the latest printer firmware.

Please note that use of the Update Verification Wizard requires access to the internet so the most recent updates can be retrieved from the Evolis web-site. In instances where the printer’s host PC is NOT connected to the internet, please contact Safe-Card ID Services for assistance in retrieving and applying the necessary updates. Our support technicians can be reached at +1 704.535.5200, or toll-free from the US and Canada at +1 888.485.4696.

Leave a Reply

Your email address will not be published. Required fields are marked *

15 − 13 =